<div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
        <div class="row">
            <div class="col">
                <div class="alert alert-box" role="alert">
                    <h3>Tracciamento Log</h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <app-alert></app-alert>
            </div>
        </div>
        <form #logFormRef="ngForm" name="logForm">
            <div class="form-group row">
                <div class="col-md-2">
                    <label class="col-form-label"><strong>Data Log:</strong></label>
                </div>
                <div class="col"
                    [ngClass]="{'has-error' : (logDateFromRef.invalid && (logDateFromRef.dirty || logDateFromRef.touched))}">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><strong class="fontlabel">DA:</strong></div>
                        </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off"
                            class="form-control" [(ngModel)]="modelCriteria.logDateFrom" name="logDateFrom" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                            [bsValue]="model._competenceDate" #logDateFromRef="ngModel"
                            [maxDate]="logDateFromUpperBound()"
                            [required]="logDateToRef  && !(!this.modelCriteria.logDateFrom && !this.modelCriteria.logDateTo && modelCriteria.user)">



                    </div>
                    <div *ngIf="(logDateFromRef.invalid && (logDateFromRef.dirty || logDateFromRef.touched))"
                        class="validation-messages">
                        <div>
                            Campo obbligatorio
                        </div>
                    </div>
                </div>

                <div class="col"
                    [ngClass]="{'has-error' : (logDateToRef.invalid && (logDateToRef.dirty || logDateToRef.touched))}">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><strong class="fontlabel">A:</strong></div>
                        </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off"
                            class="form-control" [(ngModel)]="modelCriteria.logDateTo" name="logDateTo" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                            [bsValue]="model._competenceDate" #logDateToRef="ngModel"  [minDate]="logDateToMinUpperBound()"
                            [required]="logDateFromRef && !(!this.modelCriteria.logDateFrom && !this.modelCriteria.logDateTo && modelCriteria.user)">

<!--[maxDate]="logDateToMaxUpperBound()"-->
                    </div>
                    <div *ngIf="(logDateToRef.invalid && (logDateToRef.dirty || logDateToRef.touched))"
                        class="validation-messages">
                        <div>
                            Campo obbligatorio
                        </div>
                    </div>
                </div>

                <div class="col"></div>
            </div>
            <div class="form-group row">

                <div class="col-md-2">
                    <label class="col-form-label"><strong>Utente:</strong> </label>
                </div>
                <div class="col" [ngClass]="{'has-error' : (userRef.invalid && (userRef.dirty || userRef.touched))}">
                    <div class="input-group">
                        <input #userRef="ngModel" [(ngModel)]="modelCriteria.user" name="user"
                            style="text-align: center;" class="form-control" type="text"  maxlength="50"
                            [required]="!this.modelCriteria.logDateFrom && !this.modelCriteria.logDateTo">

                    </div>
                    <div *ngIf="(userRef.invalid && (userRef.dirty || userRef.touched))" class="validation-messages">
                        <div>
                            Campo obbligatorio
                        </div>
                    </div>
                </div>
                <div class="col"></div>
                <div class="col"></div>

            </div>
        </form>
        <hr>
        <div class="row">
           
            <div class="col">
                    <button type="button" (click)="goToHome()" 
                    class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                <button type="button" (click)="toggleResults()" 
                    [disabled]="!(logFormRef.valid)" class="btn btn-sm btn-success size buttonConfirm"><span
                        class="oi oi-magnifying-glass"></span>Ricerca</button> 

                
                </div>
        </div>
        <hr>
        <div class="row">
            <div class="col" >
                <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="resultLog" class="row-border centered-datatables">

                </table>

            </div>
        </div>
    
<br>
    <div class="col-md-2"></div>

</div>